Subject: Ooops! [Fwd: Flight time measurements]

From: John V Fitzpatrick <[email-masked]>
Date: Wed, 20 May 1998 12:32:17 +0200

Ooops, I made a typo: the Intel URL is :
  http://developer.intel.com/design/PentiumII/applnots/24373501.pdf

A summary of the document is available at:
  http://developer.intel.com/design/PentiumII/applnots/243735.htm

Subject: Flight time measurements
From: John V Fitzpatrick <[email-masked]>
To: [email-masked]
Date: Wed, 20 May 1998 09:26:26 +0200

Bonjour,

Once upon a time, I proposed that IBIS 3.0 might allow
input slewrates (V/ns or ns/V) be defined for a receiver:
   * SR1: "worst-case" slew-rate beyond which the receiver 
           might oscillate
   * SR2: "best-case" slew-rate, the minimum for receiver 
           timing to be valid.

Having recently read the new GTL+ guidelines from Intel, available
at http://developer.intel.com/design/Pentium/applnots/24373501.pdf,
I think it's be worthwhile to fly this kite again...

In paragraph 3.2 (pp 11-14) of the Intel document, the flight time
calculation rules are:

  - if the input signal edge is faster than SR2 (0.3 V/ns), 
    then flight-time is measured at Vref
  - if the input signal edge is slower than SR2,
    then flight time (for a rising edge) is obtained
    by extrapolating back to Vref, with a slope equal to SR2,
    from the crossing point with Vih.
  - if the signal is non-monotonic, then extrapolate back to Vref
    from the last Vih crossing point .... but with a different
    value of SR2 (0.8 V/ns).

In my opinion, these are very sensible rules - even if I don't
understand fully where 0.8 V/ns comes from. 
Unfortunately, IBIS does not allow SR2 to be specified.

My questions:

  a) Do others on this list use these or similar rules?
     If so, what values do you use for SR2?     

  b) Does the current generation of simulators allow for
     a SR2 parameter to be used in flight-time calculation?

  c) Would it be useful to add an entry under the [Model Spec]
     keyword to allow SR2 to be defined for a buffer?  

Regards,
John

-- 
John Fitzpatrick   <[email-masked]>    
Alcatel Telecom, 4 rue de Broglie, 22304 Lannion, France
Tel: +33(0)2.96.04.79.33  Fax: +33(0)2.96.04.85.09